/*
 * Copyright (c) 2006-2008 Maskat Project.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jp.sf.maskat.sample.fruitshop.service;

import jp.sf.maskat.sample.fruitshop.dto.RegisterCustomerRequest;
import jp.sf.maskat.sample.fruitshop.dto.RegisterCustomerResponse;
import jp.sf.maskat.sample.fruitshop.dto.SearchCustomerRequest;
import jp.sf.maskat.sample.fruitshop.dto.SearchCustomerResponse;

/**
 * 顧客情報管理に関する業務ロジックを提供するサービスです。
 */
public interface FruitShopCustomerService {

	RegisterCustomerResponse registerCustomer(RegisterCustomerRequest request);

	SearchCustomerResponse searchCustomer(SearchCustomerRequest request);

}
